Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.oai
Class OAIRecordImpl

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  fr.gouv.culture.oai.OAIObjectImpl
                      fr.gouv.culture.oai.OAIRecordImpl

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, org.xml.sax.ext.LexicalHandler, org.apache.avalon.framework.logger.LogEnabled, OAIObject, OAIRecord, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.cocoon.xml.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer

Direct Known Subclasses:
  DocumentBaseOAIRecord

public class OAIRecordImpl
extends OAIObjectImpl
implements OAIRecord

Created by IntelliJ IDEA. User: rpandey Date: 18 mars 2004 Time: 16:43:52 To change this template use Options | File Templates.

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.oai.OAIObject
`OAIObject.Node`

Field Summary
`protected org.apache.excalibur.source.Source` | `_aboutSource`
`protected java.lang.String` | `_datestamp`
`protected java.lang.String` | `_identifier`
`protected boolean` | `_isDeleted`
`protected OAIMetadataFormat` | `_oaiMetadataFormat`
`protected java.lang.String` | `_oaiNamespace`
`protected org.apache.excalibur.source.Source` | `_recordSource`
`protected java.util.Vector` | `_setSpecs`

Fields inherited from class fr.gouv.culture.oai.OAIObjectImpl
`_context, logger`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, lexicalHandler, xmlConsumer`

Fields inherited from interface fr.gouv.culture.oai.OAIObject
`HTTP_HEADER_NAME_FROM, HTTP_HEADER_NAME_USER_AGENT, NUMBER_RECORDS_PER_RESPONSE, STRING_DATEFORMAT_GRANULARITY_DAY, STRING_DATEFORMAT_GRANULARITY_SECOND`

Constructor Summary
`OAIRecordImpl()`

Method Summary
`void` | `about()`
`void` | `addSetSpec(java.lang.String setSpec)`
`void` | `datestamp()`
`org.apache.excalibur.source.Source` | `getAbout()`
`java.lang.String` | `getDatestamp()`
`java.lang.String` | `getIdentifier()`
`OAIMetadataFormat` | `getMetaDataFormat()`
`java.lang.String` | `getOAINamspace()`
`org.apache.excalibur.source.Source` | `getRecord()`
`java.util.Enumeration` | `getSetSpecs()`
`void` | `header()`
`void` | `identifier()`
`boolean` | `isDeleted()`
`void` | `metadata()`
`void` | `record()`
`protected void` | `sendMetadata()`
`void` | `setAbout(org.apache.excalibur.source.Source source)`
`void` | `setDatestamp(java.lang.String datestamp)`
`void` | `setIdentifier(java.lang.String identifier)`
`void` | `setIsDeleted(boolean isDeleted)`
`void` | `setMetadataFormat(OAIMetadataFormat format)`
`void` | `setOAINamspace(java.lang.String namespace)`
`void` | `setRecord(org.apache.excalibur.source.Source source)`
`void` | `setSetSpecs(java.util.Vector setSpecs)`
`void` | `setSpecs()`
`void` | `toSAX(org.xml.sax.ContentHandler contentHandler)`

Methods inherited from class fr.gouv.culture.oai.OAIObjectImpl
`contextualize, enableLogging, endElement, getContext, sendElement, sendElementContent, startElement`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`recycle, setConsumer, setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Field Detail

### _oaiNamespace

    protected java.lang.String _oaiNamespace

### _identifier

    protected java.lang.String _identifier

### _datestamp

    protected java.lang.String _datestamp

### _setSpecs

    protected java.util.Vector _setSpecs

### _isDeleted

    protected boolean _isDeleted

### _oaiMetadataFormat

    protected OAIMetadataFormat _oaiMetadataFormat

### _recordSource

    protected org.apache.excalibur.source.Source _recordSource

### _aboutSource

    protected org.apache.excalibur.source.Source _aboutSource

Constructor Detail

### OAIRecordImpl

    public OAIRecordImpl()

Method Detail

### setOAINamspace

    public void setOAINamspace(java.lang.String namespace)

  Specified by:
    `setOAINamspace` in interface `OAIRecord`

### getOAINamspace

    public java.lang.String getOAINamspace()

  Specified by:
    `getOAINamspace` in interface `OAIRecord`

### getIdentifier

    public java.lang.String getIdentifier()

  Specified by:
    `getIdentifier` in interface `OAIRecord`

### setIdentifier

    public void setIdentifier(java.lang.String identifier)

  Specified by:
    `setIdentifier` in interface `OAIRecord`

### getDatestamp

    public java.lang.String getDatestamp()

  Specified by:
    `getDatestamp` in interface `OAIRecord`

### setDatestamp

    public void setDatestamp(java.lang.String datestamp)

  Specified by:
    `setDatestamp` in interface `OAIRecord`

### setSetSpecs

    public void setSetSpecs(java.util.Vector setSpecs)

  Specified by:
    `setSetSpecs` in interface `OAIRecord`

### addSetSpec

    public void addSetSpec(java.lang.String setSpec)

  Specified by:
    `addSetSpec` in interface `OAIRecord`

### getSetSpecs

    public java.util.Enumeration getSetSpecs()

  Specified by:
    `getSetSpecs` in interface `OAIRecord`

### setIsDeleted

    public void setIsDeleted(boolean isDeleted)

  Specified by:
    `setIsDeleted` in interface `OAIRecord`

### isDeleted

    public boolean isDeleted()

  Specified by:
    `isDeleted` in interface `OAIRecord`

### setMetadataFormat

    public void setMetadataFormat(OAIMetadataFormat format)

  Specified by:
    `setMetadataFormat` in interface `OAIRecord`

### getMetaDataFormat

    public OAIMetadataFormat getMetaDataFormat()

  Specified by:
    `getMetaDataFormat` in interface `OAIRecord`

### setRecord

    public void setRecord(org.apache.excalibur.source.Source source)

  Specified by:
    `setRecord` in interface `OAIRecord`

### getRecord

    public org.apache.excalibur.source.Source getRecord()

  Specified by:
    `getRecord` in interface `OAIRecord`

### setAbout

    public void setAbout(org.apache.excalibur.source.Source source)

  Specified by:
    `setAbout` in interface `OAIRecord`

### getAbout

    public org.apache.excalibur.source.Source getAbout()

  Specified by:
    `getAbout` in interface `OAIRecord`

### identifier

    public void identifier()
                    throws org.xml.sax.SAXException

  Specified by:
    `identifier` in interface `OAIRecord`
  Throws:
    `org.xml.sax.SAXException`

### datestamp

    public void datestamp()
                   throws org.xml.sax.SAXException

  Specified by:
    `datestamp` in interface `OAIRecord`
  Throws:
    `org.xml.sax.SAXException`

### setSpecs

    public void setSpecs()
                  throws org.xml.sax.SAXException

  Specified by:
    `setSpecs` in interface `OAIRecord`
  Throws:
    `org.xml.sax.SAXException`

### header

    public void header()
                throws org.xml.sax.SAXException

  Specified by:
    `header` in interface `OAIRecord`
  Throws:
    `org.xml.sax.SAXException`

### metadata

    public void metadata()
                  throws org.xml.sax.SAXException

  Specified by:
    `metadata` in interface `OAIRecord`
  Throws:
    `org.xml.sax.SAXException`

### sendMetadata

    protected void sendMetadata()
                         throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### about

    public void about()
               throws org.xml.sax.SAXException

  Specified by:
    `about` in interface `OAIRecord`
  Throws:
    `org.xml.sax.SAXException`

### record

    public void record()
                throws org.xml.sax.SAXException

  Specified by:
    `record` in interface `OAIRecord`
  Throws:
    `org.xml.sax.SAXException`

### toSAX

    public void toSAX(org.xml.sax.ContentHandler contentHandler)
               throws org.xml.sax.SAXException

  Specified by:
    `toSAX` in interface `org.apache.excalibur.xml.sax.XMLizable`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.